<template>
  <div>
    <div class="mainPanel row">
      <div><menu-bar /></div>
      <div class="q-pa-md col mainright">
        <div class="text-h6">Report</div>
        <div style="height: 20px"></div>
        <div class="box-grey q-pa-md">
          <div class="row justify-between">
            <div class="text-h6">On screen report</div>
            <div>
<<<<<<< HEAD
              <q-btn
                label="Activate"
                color="secondary"
                no-caps
                class="btn"
                v-show="activeBtn.onScreen"
                @click="activeOnScreenBtn(0)"
              />
              <q-btn
                label="Inactivate"
                no-caps
                color="negative"
                class="btn"
                v-show="!activeBtn.onScreen"
                @click="activeOnScreenBtn(1)"
              />
=======
              <q-btn label="Activate" outline color="secondary" class="btn" />
>>>>>>> main
            </div>
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.frontCover"
              label="Front cover"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.info"
              label="Project info"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.overviewChart"
              label="Overview chart & limit"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.chart"
              label="Indiviual chart"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.event"
              label="Over limit event"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.conclusion"
              label="Conclusion"
              @input="onScreenSave()"
            />
          </div>
          <div>
            <q-checkbox
              v-model="onScreen.backCover"
              label="Back cover"
              @input="onScreenSave()"
            />
          </div>
        </div>

        <div class="box2 q-mt-md">
          <div class="row justify-between q-px-md q-pt-md">
            <div class="text-h6">Auto generate report</div>
            <div>
              <q-btn
                label="Email"
                outline
                color="secondary"
                class="q-mx-md btn"
<<<<<<< HEAD
                @click="loadEmailDia"
              />
              <q-btn
                label="Activate"
                no-caps
                color="secondary"
                class="btn"
                v-show="activeBtn.autoReport"
                @click="activeAutoReportBtn(0)"
              />
              <q-btn
                label="Inactivate"
                no-caps
                color="negative"
                class="btn"
                @click="activeAutoReportBtn(1)"
                v-show="!activeBtn.autoReport"
              />
=======
              />
              <q-btn label="Activate" outline color="secondary" class="btn" />
>>>>>>> main
            </div>
          </div>
          <div class="row">
            <div class="q-px-md col-2">
              <q-checkbox
                v-model="autoReport.daily"
                label="Daily"
                @input="autoGenSave()"
              />
            </div>
            <div class="q-px-md col-2">
              <q-checkbox
                v-model="autoReport.weekly"
                label="Weekly"
                @input="autoGenSave()"
              />
            </div>
            <div class="q-px-md col-2">
              <q-checkbox
                v-model="autoReport.monthly"
                label="Monthly"
                @input="autoGenSave()"
              />
            </div>
          </div>
          <hr />
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.frontCover"
              label="Front cover"
              @input="autoGenSave()"
            />
          </div>
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.info"
              label="Project info"
              @input="autoGenSave()"
            />
          </div>
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.overviewChart"
              label="Overview chart & limit"
              @input="autoGenSave()"
            />
          </div>

          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.chart"
              label="Indiviual chart"
              @input="autoGenSave()"
            />
          </div>
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.event"
              label="Over limit event"
              @input="autoGenSave()"
            />
          </div>
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.conclusion"
              label="Conclusion"
              @input="autoGenSave()"
            />
          </div>
          <div class="q-px-md">
            <q-checkbox
              v-model="autoReport.backCover"
              label="backCover"
              @input="autoGenSave()"
            />
          </div>
        </div>
      </div>
    </div>
<<<<<<< HEAD
    <q-dialog v-model="addEmailDia" persistent>
      <q-card class="addEmialDia q-pa-md">
        <div class="text-h6">Add new email</div>
        <hr />
        <div class="row">
          <div class="col-3 q-pt-md">Email:</div>
          <div class="col">
            <q-input v-model="emailNew" dense />
          </div>
        </div>
        <div class="row justify-center q-pt-md">
          <div>
            <q-btn
              label="cancel"
              outline
              class="btn"
              @click="closeAddNewEmail()"
            />
          </div>
          <div style="width: 40px"></div>
          <div>
            <q-btn
              label="Save"
              class="btn"
              color="secondary"
              @click="saveNewEmail()"
            />
          </div>
        </div>
      </q-card>
    </q-dialog>
    <q-dialog v-model="editEmailDia" persistent>
      <q-card class="addEmialDia q-pa-md">
        <div class="text-h6">Edit email</div>
        <hr />
        <div class="row">
          <div class="col-3 q-pt-md">Email:</div>
          <div class="col">
            <q-input v-model="emailEdit" dense />
          </div>
        </div>
        <div class="row justify-center q-pt-md">
          <div>
            <q-btn
              label="cancel"
              outline
              class="btn"
              @click="closeEditEmail()"
            />
          </div>
          <div style="width: 40px"></div>
          <div>
            <q-btn
              label="Save"
              class="btn"
              color="secondary"
              @click="saveEditEmail()"
            />
          </div>
        </div>
      </q-card>
    </q-dialog>
    <q-dialog v-model="emailDia" persistent>
      <q-card class="mainDia q-pa-md">
        <div class="row justify-between">
          <div class="text-h6">Email list</div>
          <div>
            <q-btn
              round
              color="secondary"
              icon="fa-solid fa-plus"
              @click="showAddEmailDia"
            />
          </div>
        </div>
        <div style="height: 15px"></div>
        <div class="emailShow">
          <div class="row bg-grey q-py-sm">
            <div class="col q-px-md">Email</div>
            <div style="width: 80px">Status</div>
            <div style="width: 80px">Delete</div>
            <div style="width: 80px">Edit</div>
          </div>
          <div>
            <div
              class="row q-py-sm"
              v-for="(item, index) in emailData"
              :index="index"
            >
              <div class="col q-pl-md">{{ item.email }}</div>
              <div
                style="width: 80px"
                :class="[item.status == 1 ? 'text-green' : 'text-red']"
                class="cursor-pointer"
                @click="changeStatusEmail(item.status, item.id)"
              >
                <u> {{ item.status == 1 ? "Enable" : "Disable" }}</u>
              </div>
              <div
                style="width: 80px"
                class="cursor-pointer"
                @click="deleteEmail(item.id)"
              >
                <u> Delete </u>
              </div>
              <div
                style="width: 80px"
                class="cursor-pointer"
                @click="editEmail(item.id, item.email)"
              >
                <u>Edit</u>
              </div>
            </div>
          </div>
        </div>

        <div class="row justify-center q-pt-md">
          <div>
            <q-btn
              label="Close"
              outline
              class="btn"
              @click="closeAddEmailMain()"
            />
          </div>
        </div>
      </q-card>
    </q-dialog>
=======
>>>>>>> main
  </div>
</template>

<script>
import axios from "axios";
import footerBar from "../components/footer.vue";
import menuBar from "../components/sidemenu.vue";
export default {
  components: { footerBar, menuBar },
  data() {
    return {
<<<<<<< HEAD
      emailDia: false,
      addEmailDia: false,
      emailData: [],
      emailNew: "",
      editEmailDia: false,
      emailEdit: "",
      emaiEditId: "",
=======
>>>>>>> main
      projectData: [],
      onScreen: {
        frontCover: false,
        info: false,
        overviewChart: false,
        chart: false,
        event: false,
        conclusion: false,
        backCover: false,
      },
      autoReport: {
        daily: false,
        weekly: false,
        monthly: false,
        frontCover: false,
        info: false,
        overviewChart: false,
        chart: false,
        event: false,
        conclusion: false,
        backCover: false,
      },
<<<<<<< HEAD
      activeBtn: {
        onScreen: false,
        autoReport: false,
      },
    };
  },
  methods: {
    async saveEditEmail() {
      if (this.emailEdit.length == 0) {
        this.redNotify("Please input email");
        return;
      }
      let dataSend = {
        id: this.emailEditId,
        email: this.emailEdit,
      };
      let url = this.apiPath + "saveEditEmail.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.editEmailDia = false;

      this.loadEmailData();
      this.emailDia = true;
    },
    editEmail(id, email) {
      this.editEmailDia = true;
      this.emailDia = false;
      this.emailEdit = email;
      this.emailEditId = id;
    },
    closeEditEmail() {
      this.editEmailDia = false;
    },
    deleteEmail(id) {
      this.$q
        .dialog({
          title: "Confirm",
          message: "Would you like to delete this email?",
          cancel: true,
          persistent: true,
        })
        .onOk(async () => {
          let dataSend = {
            id: id,
          };
          let url = this.apiPath + "deleteEmail.php";
          let res = await axios.post(url, JSON.stringify(dataSend));

          this.loadEmailData();
        });
    },
    closeAddEmailMain() {
      this.emailDia = false;
    },
    async saveNewEmail() {
      if (this.emailNew.length == 0) {
        this.redNotify("Please input email");
        return;
      }
      let dataSend = {
        email: this.emailNew,
        projectID: Number(this.projectData.projectID),
      };
      let url = this.apiPath + "addNewEmail.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.loadEmailData();
      this.closeAddNewEmail();
    },
    closeAddNewEmail() {
      this.loadEmailData();
      this.emailDia = true;
      this.addEmailDia = false;
    },
    showAddEmailDia() {
      this.emailNew = "";
      this.emailDia = false;
      this.addEmailDia = true;
    },
    async changeStatusEmail(currentValue, id) {
      let changeValue = currentValue == 1 ? 0 : 1;
      let dataSend = {
        key: this.$q.localStorage.getItem("key"),
        changeValue: changeValue,
        id: id,
      };
      let url = this.apiPath + "changeStatusEmail.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.loadEmailData();
    },
    loadEmailDia() {
      this.emailDia = true;
      this.loadEmailData();
    },
    async loadEmailData() {
      this.emailData = [];
      let dataSend = {
        projectID: Number(this.projectData.projectID),
      };
      let url = this.apiPath + "loadEmail.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.emailData = res.data;
    },
    activeAutoReportBtn(activeState) {
      this.activeBtn.autoReport = activeState;
      this.updateActiveBtn();
    },
    activeOnScreenBtn(activeState) {
      this.activeBtn.onScreen = activeState;
      this.updateActiveBtn();
    },
    async updateActiveBtn() {
      let dataSend = {
        ...this.activeBtn,
        projectID: Number(this.projectData.projectID),
      };
      let url = this.apiPath + "saveActiveBtn.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
    },
    async onScreenSave() {
      let dataSend = {
        ...this.onScreen,
        projectID: Number(this.projectData.projectID),
=======
    };
  },
  methods: {
    async onScreenSave() {
      let dataSend = {
        ...this.onScreen,
        projectID: this.projectData.projectID,
>>>>>>> main
      };
      let url = this.apiPath + "saveOnScreenReport.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
    },
    async autoGenSave() {
      let dataSend = {
        ...this.autoReport,
        projectID: this.projectData.projectID,
      };
<<<<<<< HEAD
      let url = this.apiPath + "saveAutoReport.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
    },
=======
      let url = this.apiPath + "saveGenSave.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
    },

>>>>>>> main
    async loadInfo() {
      let dataSend = {
        projectID: this.projectData.projectID,
      };
      let url = this.apiPath + "loadOnScreenReport.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
<<<<<<< HEAD

      res.data[0].frontCover == "0"
        ? (this.onScreen.frontCover = false)
        : (this.onScreen.frontCover = true);
      res.data[0].info == "0"
        ? (this.onScreen.info = false)
        : (this.onScreen.info = true);
      res.data[0].overviewchart == "0"
        ? (this.onScreen.overviewChart = false)
        : (this.onScreen.overviewChart = true);
      res.data[0].chart == "0"
        ? (this.onScreen.chart = false)
        : (this.onScreen.chart = true);
      res.data[0].event == "0"
        ? (this.onScreen.event = false)
        : (this.onScreen.event = true);
      res.data[0].conclusion == "0"
        ? (this.onScreen.conclusion = false)
        : (this.onScreen.conclusion = true);
      res.data[0].backCover == "0"
        ? (this.onScreen.backCover = false)
        : (this.onScreen.backCover = true);
      url = this.apiPath + "loadAutoReport.php";
      res = await axios.post(url, JSON.stringify(dataSend));
      res.data[0].frontCover == "0"
        ? (this.autoReport.frontCover = false)
        : (this.autoReport.frontCover = true);
      res.data[0].info == "0"
        ? (this.autoReport.info = false)
        : (this.autoReport.info = true);
      res.data[0].overviewchart == "0"
        ? (this.autoReport.overviewChart = false)
        : (this.autoReport.overviewChart = true);
      res.data[0].chart == "0"
        ? (this.autoReport.chart = false)
        : (this.autoReport.chart = true);
      res.data[0].event == "0"
        ? (this.autoReport.event = false)
        : (this.autoReport.event = true);
      res.data[0].conclusion == "0"
        ? (this.autoReport.conclusion = false)
        : (this.autoReport.conclusion = true);
      res.data[0].backCover == "0"
        ? (this.autoReport.backCover = false)
        : (this.autoReport.backCover = true);
      res.data[0].daily == "0"
        ? (this.autoReport.daily = false)
        : (this.autoReport.daily = true);
      res.data[0].weekly == "0"
        ? (this.autoReport.weekly = false)
        : (this.autoReport.weekly = true);
      res.data[0].monthly == "0"
        ? (this.autoReport.monthly = false)
        : (this.autoReport.monthly = true);
    },
    async loadReport() {
      let dataSend = {
        projectID: this.projectData.projectID,
      };
      let url = this.apiPath + "loadActiveBtn.php";
      let res = await axios.post(url, JSON.stringify(dataSend));
      this.activeBtn.onScreen = res.data[0].onScreenReport == 1 ? true : false;
      this.activeBtn.autoReport = res.data[0].autoReport == 1 ? true : false;
=======
      res.data[0].frontCover == 0
        ? (this.onScreen.frontCover = false)
        : (this.onScreen.frontCover = true);
      res.data[0].info == 0
        ? (this.onScreen.info = false)
        : (this.onScreen.info = true);
      res.data[0].overviewChart == 0
        ? (this.onScreen.overviewChart = false)
        : (this.onScreen.overviewChart = true);
      res.data[0].chart == 0
        ? (this.onScreen.chart = false)
        : (this.onScreen.chart = true);
      res.data[0].event == 0
        ? (this.onScreen.event = false)
        : (this.onScreen.event = true);
      res.data[0].conclusion == 0
        ? (this.onScreen.conclusion = false)
        : (this.onScreen.conclusion = true);
      res.data[0].backCover == 0
        ? (this.onScreen.backCover = false)
        : (this.onScreen.backCover = true);

      let url2 = this.apiPath + "loadAutoReport.php";
      let res2 = await axios.post(url2, JSON.stringify(dataSend));
      console.log(res2.data);
>>>>>>> main
    },
  },
  mounted() {
    this.projectData = { ...this.$q.localStorage.getItem("projectInfo") };
    this.loadInfo();
<<<<<<< HEAD
    this.loadReport();
=======
>>>>>>> main
  },
};
</script>

<style lang="scss" scoped>
<<<<<<< HEAD
.emailShow {
  width: 100%;
  height: 350px;
  overflow-y: auto;
}
=======
>>>>>>> main
.mainPanel {
  color: black;
  max-width: 1400px;
  width: 100%;
  margin: auto;
  font-size: 16px;
  background-color: #f2f2f2;
  min-height: 100vh;
}
.box-grey {
  border: 1px solid #837f7f;
  width: 100%;
  height: 350px;
}
.box2 {
  border: 1px solid #837f7f;
  width: 100%;
  height: 410px;
}
.btn {
  width: 115px;
}
.mainright {
  height: 100vh;
  overflow: auto;
}
<<<<<<< HEAD
.mainDia {
  min-width: 600px;
  height: 500px;
}
.addEmialDia {
  min-width: 450px;
  height: 180px;
}
=======
>>>>>>> main
</style>
